Summary: Ctors | Methods | Inherited Methods | [Expand All]
public class

# SVGConvertOptions

extends OptionsBase

java.lang.Object
↳ | com.pdftron.pdf.OptionsBase
| ↳ | com.pdftron.pdf.SVGConvertOptions

## Summary

Public Constructors
| SVGConvertOptions() Constructor.
| SVGConvertOptions(String json_string) Constructor.

Public Methods
boolean | getConvertLinks() Gets the value ConvertLinks from the options object Instructs the conversion process to generate interactive Link annotations from links in the SVG input file.
String | getDefaultFontFamily() Gets the value DefaultFontFamily from the options object Name of the font family which is used if a font for some text in the graphics file is either not specified or not available.
String | getFallbackFontFamily() Gets the value FallbackFontFamily from the options object Name of the font family which is used to create a fallback font for each font, in addition to the fallback fonts which may have been specified in the graphics file.
double | getFallbackHeight() Gets the value FallbackHeight from the options object Affects only SVG graphics without absolute size; ignored if ForcedHeight is supplied.
double | getFallbackWidth() Gets the value FallbackWidth from the options object Affects only SVG graphics without absolute size; ignored if ForcedWidth is supplied.
boolean | getForceSRGB() Gets the value ForceSRGB from the options object If true, all non-sRGB color specifications are ignored and the sRGB fallback color is used instead.
double | getForcedHeight() Gets the value ForcedHeight from the options object The height of the SVG graphics is ignored and the specified value is applied instead if a value >= 1 is supplied.
double | getForcedWidth() Gets the value ForcedWidth from the options object The width of the SVG graphics is ignored and the specified value is applied instead if a value >= 1 is supplied.
boolean | getHonorIccProfile() Gets the value HonorIccProfile from the options object If true, honor all ICC profiles in icc-color specifications or implicitly in sRGB colors; otherwise all explicit ICC colors and implicit sRGB colors are interpreted as device-gray/device-rgb/device-cmyk colors.
boolean | getInline() Gets the value Inline from the options object If true, create output inline in the content stream; otherwise a separate Form XObject is created.
String | getLang() Gets the value Lang from the options object Natural language for the graphics file as a BCP 47 language tag consisting of a two- or three-character language code according to ISO 639-1/2 which can be used e.g.
SVGConvertOptions | setConvertLinks(boolean value) Sets the value for ConvertLinks in the options object Instructs the conversion process to generate interactive Link annotations from links in the SVG input file.
SVGConvertOptions | setDefaultFontFamily(String value) Sets the value for DefaultFontFamily in the options object Name of the font family which is used if a font for some text in the graphics file is either not specified or not available.
SVGConvertOptions | setFallbackFontFamily(String value) Sets the value for FallbackFontFamily in the options object Name of the font family which is used to create a fallback font for each font, in addition to the fallback fonts which may have been specified in the graphics file.
SVGConvertOptions | setFallbackHeight(double value) Sets the value for FallbackHeight in the options object Affects only SVG graphics without absolute size; ignored if ForcedHeight is supplied.
SVGConvertOptions | setFallbackWidth(double value) Sets the value for FallbackWidth in the options object Affects only SVG graphics without absolute size; ignored if ForcedWidth is supplied.
SVGConvertOptions | setForceSRGB(boolean value) Sets the value for ForceSRGB in the options object If true, all non-sRGB color specifications are ignored and the sRGB fallback color is used instead.
SVGConvertOptions | setForcedHeight(double value) Sets the value for ForcedHeight in the options object The height of the SVG graphics is ignored and the specified value is applied instead if a value >= 1 is supplied.
SVGConvertOptions | setForcedWidth(double value) Sets the value for ForcedWidth in the options object The width of the SVG graphics is ignored and the specified value is applied instead if a value >= 1 is supplied.
SVGConvertOptions | setHonorIccProfile(boolean value) Sets the value for HonorIccProfile in the options object If true, honor all ICC profiles in icc-color specifications or implicitly in sRGB colors; otherwise all explicit ICC colors and implicit sRGB colors are interpreted as device-gray/device-rgb/device-cmyk colors.
SVGConvertOptions | setInline(boolean value) Sets the value for Inline in the options object If true, create output inline in the content stream; otherwise a separate Form XObject is created.
SVGConvertOptions | setLang(String value) Sets the value for Lang in the options object Natural language for the graphics file as a BCP 47 language tag consisting of a two- or three-character language code according to ISO 639-1/2 which can be used e.g.

[Expand] Inherited Methods
From class java.lang.Object
boolean | equals(Object arg0)
final Class<?> | getClass()
int | hashCode()
final void | notify()
final void | notifyAll()
String | toString()
final void | wait(long arg0, int arg1)
final void | wait(long arg0)
final void | wait()

## Public Constructors

#### public SVGConvertOptions ()

Constructor.

##### Throws

PDFNetException |

#### public SVGConvertOptions (String json_string)

Constructor.

##### Throws

PDFNetException |

## Public Methods

#### public boolean getConvertLinks ()

Gets the value ConvertLinks from the options object Instructs the conversion process to generate interactive Link annotations from links in the SVG input file.

##### Returns

- a boolean, Instructs the conversion process to generate interactive Link annotations from links in the SVG input file..

##### Throws

PDFNetException |

#### public String getDefaultFontFamily ()

Gets the value DefaultFontFamily from the options object Name of the font family which is used if a font for some text in the graphics file is either not specified or not available. Default: Arial Unicode MS if available, otherwise Helvetica.

##### Returns

- a String, Name of the font family which is used if a font for some text in the graphics file is either not specified or not available. Default: Arial Unicode MS if available, otherwise Helvetica..

##### Throws

PDFNetException |

#### public String getFallbackFontFamily ()

Gets the value FallbackFontFamily from the options object Name of the font family which is used to create a fallback font for each font, in addition to the fallback fonts which may have been specified in the graphics file. Default: empty.

##### Returns

- a String, Name of the font family which is used to create a fallback font for each font, in addition to the fallback fonts which may have been specified in the graphics file. Default: empty..

##### Throws

PDFNetException |

#### public double getFallbackHeight ()

Gets the value FallbackHeight from the options object Affects only SVG graphics without absolute size; ignored if ForcedHeight is supplied. Height >= 0 of the SVG graphics for the fitting process. If the value is zero the bounding box is calculated. Default: values in the SVG graphics if present, otherwise 0.

##### Returns

- a double, Affects only SVG graphics without absolute size; ignored if ForcedHeight is supplied. Height >= 0 of the SVG graphics for the fitting process. If the value is zero the bounding box is calculated. Default: values in the SVG graphics if present, otherwise 0..

##### Throws

PDFNetException |

#### public double getFallbackWidth ()

Gets the value FallbackWidth from the options object Affects only SVG graphics without absolute size; ignored if ForcedWidth is supplied. Width >= 0 of the SVG graphics for the fitting process. If the value is zero the bounding box is calculated. Default: values in the SVG graphics if present, otherwise 0.

##### Returns

- a double, Affects only SVG graphics without absolute size; ignored if ForcedWidth is supplied. Width >= 0 of the SVG graphics for the fitting process. If the value is zero the bounding box is calculated. Default: values in the SVG graphics if present, otherwise 0..

##### Throws

PDFNetException |

#### public boolean getForceSRGB ()

Gets the value ForceSRGB from the options object If true, all non-sRGB color specifications are ignored and the sRGB fallback color is used instead. This option does not affect referenced images. Default: false.

##### Returns

- a boolean, If true, all non-sRGB color specifications are ignored and the sRGB fallback color is used instead. This option does not affect referenced images. Default: false..

##### Throws

PDFNetException |

#### public double getForcedHeight ()

Gets the value ForcedHeight from the options object The height of the SVG graphics is ignored and the specified value is applied instead if a value >= 1 is supplied. Default: height attribute of the graphics.

##### Returns

- a double, The height of the SVG graphics is ignored and the specified value is applied instead if a value >= 1 is supplied. Default: height attribute of the graphics..

##### Throws

PDFNetException |

#### public double getForcedWidth ()

Gets the value ForcedWidth from the options object The width of the SVG graphics is ignored and the specified value is applied instead if a value >= 1 is supplied. Default: width attribute of the graphics.

##### Returns

- a double, The width of the SVG graphics is ignored and the specified value is applied instead if a value >= 1 is supplied. Default: width attribute of the graphics..

##### Throws

PDFNetException |

#### public boolean getHonorIccProfile ()

Gets the value HonorIccProfile from the options object If true, honor all ICC profiles in icc-color specifications or implicitly in sRGB colors; otherwise all explicit ICC colors and implicit sRGB colors are interpreted as device-gray/device-rgb/device-cmyk colors. Default: true.

##### Returns

- a boolean, If true, honor all ICC profiles in icc-color specifications or implicitly in sRGB colors; otherwise all explicit ICC colors and implicit sRGB colors are interpreted as device-gray/device-rgb/device-cmyk colors. Default: true..

##### Throws

PDFNetException |

#### public boolean getInline ()

Gets the value Inline from the options object If true, create output inline in the content stream; otherwise a separate Form XObject is created. The inline method suffers from disadvantages related to transparency handling. On the other hand, this option is required if active links in the graphics should be converted (option ConvertLinks). Default: true.

##### Returns

- a boolean, If true, create output inline in the content stream; otherwise a separate Form XObject is created. The inline method suffers from disadvantages related to transparency handling. On the other hand, this option is required if active links in the graphics should be converted (option ConvertLinks). Default: true..

##### Throws

PDFNetException |

#### public String getLang ()

Gets the value Lang from the options object Natural language for the graphics file as a BCP 47 language tag consisting of a two- or three-character language code according to ISO 639-1/2 which can be used e.g. in an SVG switch element. Default: the language identifier found in the LANG environment variable.

##### Returns

- a String, Natural language for the graphics file as a BCP 47 language tag consisting of a two- or three-character language code according to ISO 639-1/2 which can be used e.g. in an SVG switch element. Default: the language identifier found in the LANG environment variable..

##### Throws

PDFNetException |

#### public SVGConvertOptions setConvertLinks (boolean value)

Sets the value for ConvertLinks in the options object Instructs the conversion process to generate interactive Link annotations from links in the SVG input file.

##### Returns

- this object, for call chaining

##### Throws

PDFNetException |

#### public SVGConvertOptions setDefaultFontFamily (String value)

Sets the value for DefaultFontFamily in the options object Name of the font family which is used if a font for some text in the graphics file is either not specified or not available. Default: Arial Unicode MS if available, otherwise Helvetica.

##### Returns

- this object, for call chaining

##### Throws

PDFNetException |

#### public SVGConvertOptions setFallbackFontFamily (String value)

Sets the value for FallbackFontFamily in the options object Name of the font family which is used to create a fallback font for each font, in addition to the fallback fonts which may have been specified in the graphics file. Default: empty.

##### Returns

- this object, for call chaining

##### Throws

PDFNetException |

#### public SVGConvertOptions setFallbackHeight (double value)

Sets the value for FallbackHeight in the options object Affects only SVG graphics without absolute size; ignored if ForcedHeight is supplied. Height >= 0 of the SVG graphics for the fitting process. If the value is zero the bounding box is calculated. Default: values in the SVG graphics if present, otherwise 0.

##### Returns

- this object, for call chaining

##### Throws

PDFNetException |

#### public SVGConvertOptions setFallbackWidth (double value)

Sets the value for FallbackWidth in the options object Affects only SVG graphics without absolute size; ignored if ForcedWidth is supplied. Width >= 0 of the SVG graphics for the fitting process. If the value is zero the bounding box is calculated. Default: values in the SVG graphics if present, otherwise 0.

##### Returns

- this object, for call chaining

##### Throws

PDFNetException |

#### public SVGConvertOptions setForceSRGB (boolean value)

Sets the value for ForceSRGB in the options object If true, all non-sRGB color specifications are ignored and the sRGB fallback color is used instead. This option does not affect referenced images. Default: false.

##### Returns

- this object, for call chaining

##### Throws

PDFNetException |

#### public SVGConvertOptions setForcedHeight (double value)

Sets the value for ForcedHeight in the options object The height of the SVG graphics is ignored and the specified value is applied instead if a value >= 1 is supplied. Default: height attribute of the graphics.

##### Returns

- this object, for call chaining

##### Throws

PDFNetException |

#### public SVGConvertOptions setForcedWidth (double value)

Sets the value for ForcedWidth in the options object The width of the SVG graphics is ignored and the specified value is applied instead if a value >= 1 is supplied. Default: width attribute of the graphics.

##### Returns

- this object, for call chaining

##### Throws

PDFNetException |

#### public SVGConvertOptions setHonorIccProfile (boolean value)

Sets the value for HonorIccProfile in the options object If true, honor all ICC profiles in icc-color specifications or implicitly in sRGB colors; otherwise all explicit ICC colors and implicit sRGB colors are interpreted as device-gray/device-rgb/device-cmyk colors. Default: true.

##### Returns

- this object, for call chaining

##### Throws

PDFNetException |

#### public SVGConvertOptions setInline (boolean value)

Sets the value for Inline in the options object If true, create output inline in the content stream; otherwise a separate Form XObject is created. The inline method suffers from disadvantages related to transparency handling. On the other hand, this option is required if active links in the graphics should be converted (option ConvertLinks). Default: true.

##### Returns

- this object, for call chaining

##### Throws

PDFNetException |

#### public SVGConvertOptions setLang (String value)

Sets the value for Lang in the options object Natural language for the graphics file as a BCP 47 language tag consisting of a two- or three-character language code according to ISO 639-1/2 which can be used e.g. in an SVG switch element. Default: the language identifier found in the LANG environment variable.

##### Returns

- this object, for call chaining

##### Throws

PDFNetException |